osl::move_probability::RookAttack Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::RookAttack:

## Public Types

enum | { DirectionSize = BishopAttack::DIM , DIM = DirectionSize*3 }

## Public Member Functions

| RookAttack ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 997 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DirectionSize |
DIM |

Definition at line 1000 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## RookAttack()

osl::move_probability::RookAttack::RookAttack | ( |  | ) |

inline

Definition at line 1004 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::RookAttack::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1007 of file move_probability/feature.h.

References osl::move_probability::BishopAttack::addOne(), osl::alt(), osl::SimpleState::canDropPawnTo(), DirectionSize, osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::ROOK, osl::move_probability::StateInfo::state, osl::Move::to(), osl::unpromote(), and osl::Square::x().

The documentation for this class was generated from the following file:

- move_probability/feature.h